#4269 closed enhancement (fixed)

Add rtems_get_build_label()

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 6.1
Component: rtems Version: 6
Severity: normal Keywords: qualification
Cc: Blocked By:
Blocking:

Description

Add the following directive:

/* Generated from spec:/rtems/config/if/get-build-label */

/**
 * @ingroup RTEMSAPIConfig
 *
 * @brief Gets the RTEMS build label.
 *
 * The build label is a user-provided string defined by the build
 * configuration.
 *
 * @return Returns the pointer to the RTEMS build label.
 *
 * @par Notes
 * The build label can be used to distinguish test suite results obtained from
 * different build configurations.  A use case is to record test results with
 * performance data to track performance regressions.  For this a database of
 * performance limits is required.  The build label and the target hash
 * obtained from rtems_get_target_hash() can be used as a key to obtain
 * performance limits.
 *
 * @par Constraints
 * @parblock
 * The following constraints apply to this directive:
 *
 * * The directive may be called from within any runtime context.
 *
 * * The directive will not cause the calling task to be preempted.
 * @endparblock
 */
const char *rtems_get_build_label( void );

Change History (4)

comment:1 Changed on 02/26/21 at 08:25:58 by Sebastian Huber <sebastian.huber@…>

In d8bfa5a/rtems:

rtems: Add rtems_get_build_label()

Update #4269.

comment:2 Changed on 02/26/21 at 08:26:02 by Sebastian Huber <sebastian.huber@…>

In da8ad67e/rtems:

libtest: Report build label

Update #4269.

comment:3 Changed on 06/18/21 at 09:24:45 by Sebastian Huber

Keywords: qualification added

comment:4 Changed on 10/04/22 at 08:19:19 by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: assignedclosed

In 0fc5c03/rtems-docs:

c-user: Add application config info directives

Close #4267.
Close #4269.

Note: See TracTickets for help on using tickets.